Skip to Content
API ReferenceModelPOST /search

POST /model/search

Search Model

Search models — composable infra architecture.

Request Body (SearchModelApiRequest)

FieldTypeRequiredDescription
searchstringNo—
filter_provider_idsstring[]No—
filter_department_idsstring[]No—
filter_agent_idsstring[]No—
provider_searchstringNo—
department_searchstringNo—
agent_searchstringNo—
page_sizeintegerNo—
page_offsetintegerNo—
snapshot_keystringNoCache snapshot key for consistent reads across related requests

Response (ListModelApiResponse)

FieldTypeRequiredDescription
actor_namestringNoDisplay name of the current actor
modelsListModelApiModel[]NoList of model entries
provider_filterListFilterSectionNoProvider filter options
department_filterListFilterSectionNoDepartment filter options
agent_filterListFilterSectionNoAgent filter options
flag_filterListFilterSectionNoFilter options for flags in list UI
total_countintegerNoTotal number of models
import_fieldsImportField[]NoCSV import column schema for the bulk-import dialog
Last updated on